Loading...
Searching...
No Matches
GridFTP Constants
GridFTP Control API

Constants. More...

## Macros

#define | GLOBUS_FTP_CONTROL_MODULE (&globus_i_ftp_control_module)
| Module descriptor.

## Typedefs

typedef enum globus_ftp_control_type_e | globus_ftp_control_type_t
| GridFTP TYPE values.
typedef enum globus_ftp_control_mode_e | globus_ftp_control_mode_t
| GridFTP MODE values.
typedef enum globus_ftp_control_dcau_mode_e | globus_ftp_control_dcau_mode_t
| GridFTP DCAU values.
typedef enum globus_ftp_control_striping_mode_e | globus_ftp_control_striping_mode_t
| GridFTP Striping Types.

## Enumerations

enum | globus_ftp_control_type_e { GLOBUS_FTP_CONTROL_TYPE_NONE , GLOBUS_FTP_CONTROL_TYPE_ASCII = 'A' , GLOBUS_FTP_CONTROL_TYPE_EBCDIC = 'E' , GLOBUS_FTP_CONTROL_TYPE_IMAGE = 'I' , GLOBUS_FTP_CONTROL_TYPE_LOCAL = 'L' }
| GridFTP TYPE values. More...
enum | globus_ftp_control_mode_e { GLOBUS_FTP_CONTROL_MODE_NONE , GLOBUS_FTP_CONTROL_MODE_STREAM = 'S' , GLOBUS_FTP_CONTROL_MODE_BLOCK = 'B' , GLOBUS_FTP_CONTROL_MODE_EXTENDED_BLOCK = 'E' , GLOBUS_FTP_CONTROL_MODE_COMPRESSED = 'C' }
| GridFTP MODE values. More...
enum | globus_ftp_control_dcau_mode_e { GLOBUS_FTP_CONTROL_DCAU_NONE = 'N' , GLOBUS_FTP_CONTROL_DCAU_SELF = 'A' , GLOBUS_FTP_CONTROL_DCAU_SUBJECT = 'S' , GLOBUS_FTP_CONTROL_DCAU_DEFAULT }
| GridFTP DCAU values. More...
enum | globus_ftp_control_striping_mode_e
| GridFTP Striping Types. More...
enum | globus_ftp_control_protection_t { GLOBUS_FTP_CONTROL_PROTECTION_CLEAR = 'C' , GLOBUS_FTP_CONTROL_PROTECTION_SAFE = 'S' , GLOBUS_FTP_CONTROL_PROTECTION_CONFIDENTIAL = 'E' , GLOBUS_FTP_CONTROL_PROTECTION_PRIVATE = 'P' }
| GridFTP Protection Types. More...

## Detailed Description

Constants.

## Typedef Documentation

## globus_ftp_control_dcau_mode_t

typedef enum globus_ftp_control_dcau_mode_e globus_ftp_control_dcau_mode_t

GridFTP DCAU values.

The enumeration values match the character value of the argument to DCAU.

## globus_ftp_control_mode_t

typedef enum globus_ftp_control_mode_e globus_ftp_control_mode_t

GridFTP MODE values.

The enumeration values match the character value of the argument to MODE.

## globus_ftp_control_striping_mode_t

typedef enum globus_ftp_control_striping_mode_e globus_ftp_control_striping_mode_t

GridFTP Striping Types.

The enumeration values match the types of striping handled by the GridFTP server.

## globus_ftp_control_type_t

typedef enum globus_ftp_control_type_e globus_ftp_control_type_t

GridFTP TYPE values.

The enumeration values match the character value of the argument to TYPE.

## Enumeration Type Documentation

## globus_ftp_control_dcau_mode_e

enum globus_ftp_control_dcau_mode_e

GridFTP DCAU values.

The enumeration values match the character value of the argument to DCAU.

Enumerator
GLOBUS_FTP_CONTROL_DCAU_NONE | No Authorization
GLOBUS_FTP_CONTROL_DCAU_SELF | Self Authorization
GLOBUS_FTP_CONTROL_DCAU_SUBJECT | Subject Authorization
GLOBUS_FTP_CONTROL_DCAU_DEFAULT | Default Authorization

## globus_ftp_control_mode_e

enum globus_ftp_control_mode_e

GridFTP MODE values.

The enumeration values match the character value of the argument to MODE.

Enumerator
GLOBUS_FTP_CONTROL_MODE_NONE | Undefined MODE
GLOBUS_FTP_CONTROL_MODE_STREAM | Stream Mode
GLOBUS_FTP_CONTROL_MODE_BLOCK | Block Mode
GLOBUS_FTP_CONTROL_MODE_EXTENDED_BLOCK | Extended Block Mode
GLOBUS_FTP_CONTROL_MODE_COMPRESSED | Compressed Mode

## globus_ftp_control_protection_t

enum globus_ftp_control_protection_t

GridFTP Protection Types.

The enumeration values match the types of protection handled by the GridFTP server.

Enumerator
GLOBUS_FTP_CONTROL_PROTECTION_CLEAR | Clear protection
GLOBUS_FTP_CONTROL_PROTECTION_SAFE | Safe (integrity) protection
GLOBUS_FTP_CONTROL_PROTECTION_CONFIDENTIAL | Confidential (encrypted) protection
GLOBUS_FTP_CONTROL_PROTECTION_PRIVATE | Private (integrity and encrypted) protection

## globus_ftp_control_striping_mode_e

enum globus_ftp_control_striping_mode_e

GridFTP Striping Types.

The enumeration values match the types of striping handled by the GridFTP server.

## globus_ftp_control_type_e

enum globus_ftp_control_type_e

GridFTP TYPE values.

The enumeration values match the character value of the argument to TYPE.

Enumerator
GLOBUS_FTP_CONTROL_TYPE_NONE | Undefined TYPE
GLOBUS_FTP_CONTROL_TYPE_ASCII | ASCII TYPE
GLOBUS_FTP_CONTROL_TYPE_EBCDIC | EBCDIC TYPE
GLOBUS_FTP_CONTROL_TYPE_IMAGE | Image TYPE
GLOBUS_FTP_CONTROL_TYPE_LOCAL | Local TYPE